module adder 
#(
   parameter N = 4
)(
   input  [N-1:0] a, b,
   output [N-1:0] c,
   output       ov
);

reg [N:0] tmp;

always @*
   tmp = a + b;

assign c = tmp[N-1:0];
assign ov = tmp[N];

endmodule